hbase-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From mi...@apache.org
Subject git commit: HBASE-12134 publish_hbase_website.sh script can delete the website accidentally
Date Wed, 01 Oct 2014 05:45:43 GMT
Repository: hbase
Updated Branches:
  refs/heads/master ff31691c8 -> 456e9fa7a


HBASE-12134 publish_hbase_website.sh script can delete the website accidentally


Project: http://git-wip-us.apache.org/repos/asf/hbase/repo
Commit: http://git-wip-us.apache.org/repos/asf/hbase/commit/456e9fa7
Tree: http://git-wip-us.apache.org/repos/asf/hbase/tree/456e9fa7
Diff: http://git-wip-us.apache.org/repos/asf/hbase/diff/456e9fa7

Branch: refs/heads/master
Commit: 456e9fa7a71515f447455ef89143295bae26ee52
Parents: ff31691
Author: Misty Stanley-Jones <mstanleyjones@cloudera.com>
Authored: Wed Oct 1 15:44:21 2014 +1000
Committer: Misty Stanley-Jones <mstanleyjones@cloudera.com>
Committed: Wed Oct 1 15:44:21 2014 +1000

----------------------------------------------------------------------
 dev-support/publish_hbase_website.sh | 10 ++++++++++
 1 file changed, 10 insertions(+)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/hbase/blob/456e9fa7/dev-support/publish_hbase_website.sh
----------------------------------------------------------------------
diff --git a/dev-support/publish_hbase_website.sh b/dev-support/publish_hbase_website.sh
index ca171d3..2763dec 100644
--- a/dev-support/publish_hbase_website.sh
+++ b/dev-support/publish_hbase_website.sh
@@ -89,6 +89,11 @@ if [ $INTERACTIVE ]; then
     case $yn in
         [Yy]* ) 
     			mvn clean package javadoc:aggregate site site:stage -DskipTests
+          status=$?
+          if [ $status != 0 ]; then
+            echo "The website does not build. Aborting."
+            exit $status
+          fi
     			;;
         [Nn]* ) 
           echo "Not building the site."
@@ -97,6 +102,11 @@ if [ $INTERACTIVE ]; then
 else
   echo "Building the site in auto mode."
   mvn clean package javadoc:aggregate site site:stage -DskipTests
+  status=$?
+  if [ $status != 0 ]; then
+    echo "The website does not build. Aborting."
+    exit $status
+  fi
 fi
 
 


Mime
View raw message